Package org.gradle.tooling.events.work

# Interface WorkItemFinishEvent

All Superinterfaces:
  `FinishEvent`, `ProgressEvent`, `WorkItemProgressEvent`

public interface WorkItemFinishEvent extends WorkItemProgressEvent, FinishEvent
An event that informs about a work item having finished its execution.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkItemOperationResult`
  `getResult()`
  Returns the result of the finished operation.

  ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

  `getDisplayName, getEventTime`

  ### Methods inherited from interface org.gradle.tooling.events.work.WorkItemProgressEvent

  `getDescriptor`

- ## Method Details

  - ### getResult

    WorkItemOperationResult getResult()
    Description copied from interface: `FinishEvent`
    Returns the result of the finished operation.
    Specified by:
      `getResult` in interface `FinishEvent`
    Returns:
      the result of the finished operation